gnutls_privkey_import_openpgp_raw(3)

NAME
gnutls_privkey_import_openpgp_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_import_openpgp_raw(gnutls_privkey_t pkey, const gnutls_datum_t * data, gnutls_openpgp_crt_fmt_t format, const gnutls_openpgp_keyid_t keyid, const char * password);

ARGUMENTS

gnutls_privkey_t pkey
    The private key

const gnutls_datum_t * data
    The private key data to be imported

gnutls_openpgp_crt_fmt_t           format
    The format of the private key

const gnutls_openpgp_keyid_t           keyid
    The key id to use (optional)

const char * password
    A password (optional)

DESCRIPTION
This function is no-op.

RETURNS
GNUTLS_E_UNIMPLEMENTED_FEATURE.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/